Grants, vesting & distributions

Bulk Update Grants

Upserts grant rows: updates existing grants by grantID, otherwise creates ACCEPTED grants and generates schedules.

POSThttps://api.toku.com/tga/bulk-update-grants

Not available to API keys yet. It will need grants:write.

curl --request POST \
  --url 'https://api.toku.com/tga/bulk-update-grants' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '[
  {
    "grantID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tokenTypeID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "grantDate": "2026-01-01T00:00:00Z",
    "grantConfigurationID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "grantDescription": "string",
    "roleInOrgExternalID": "string",
    "grantName": "string",
    "grantConfigurationName": "string",
    "isExercisable": true,
    "vestingFrequencyType": "MONTHLY",
    "vestingCliffPeriods": 0,
    "lockup": 0,
    "vestingStartDate": "2026-01-01T00:00:00Z",
    "offPlatformDate": "2026-01-01T00:00:00Z",
    "isSection83bElectionEligible": true,
    "strikeDate": "2026-01-01T00:00:00Z",
    "allocationType": "string",
    "currency": "string",
    "taxCurrencyCode": "TRY",
    "grantTemplateID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "scheduleStringOverride": "string",
    "grantAssetType": "TOKEN",
    "isCashCompensation": "string",
    "isTaxable": true
  }
]'
200 response
{
  "success": true,
  "message": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

grantIDstring<uuid>
tokenTypeIDstring<uuid>
grantDatestring<date-time>
grantConfigurationIDstring<uuid>
grantDescriptionstring

Allowed: at most 10000 characters

roleInOrgExternalIDstring

Allowed: at most 200 characters

grantNamestring

Allowed: 1 to 500 characters

grantConfigurationNamestring

Allowed: 1 to 500 characters

isExercisableboolean
grantAmountany
grantAmountInFiatany
vestingFrequencyTypestring

Available options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY

vestingPeriodsany
vestingCliffPeriodsinteger

Allowed: 0 to 1000

vestingCliffPercentageany
lockupinteger

Allowed: 0 to 1000

vestingStartDatestring<date-time>
offPlatformDatestring<date-time>
isSection83bElectionEligibleboolean
strikeDatestring<date-time>
averageBasisany
allocationTypestring

Allowed: at most 100 characters

currencystring

Allowed: at most 20 characters

taxCurrencyCodestring

Available options: TRY, ILS, CRC, TTD, SGD, JPY, AUD, NOK, INR, GBP, CHF, RUB, CAD, BRL, NGN, KRW, AED, LBP, EUR, NZD, ZAR, USD, USDC, USDT, USDP, PHP, PLN, RSD, HKD, TWD, AFN, AMD, ANG, AOA, ARS, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BSD, BTN, BWP, BYN, BZD, CDF, CLF, CLP, CNY, COP, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, FJD, FKP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HNL, HRK, HTG, HUF, IDR, IQD, IRR, ISK, JMD, JOD, KES, KGS, KHR, KMF, KPW, KWD, KYD, KZT, LAK, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NPR, NIO, OMR, PAB, PEN, PGK, PKR, PYG, QAR, RON, RWF, SAR, SBD, SCR, SDG, SHP, SLL, SOS, SRD, SSP, STN, SVC, SYP, SZL, TJS, TMT, TND, TOP, TZS, UAH, UGX, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZMW, SEK, THB

pricePerUnitany
grantTemplateIDstring<uuid>
scheduleStringOverridestring

Allowed: at most 10000 characters

grantAssetTypestring

Available options: TOKEN, FIAT

isCashCompensationstring

Allowed: at most 20 characters

isTaxableboolean

Response

200Successful response
successbooleanrequired
messagestring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits